//
//  NSArrayAdditions.h
//  iStrip
//
//  Created by Joar Wingfors on Fri Apr 18 2003.
//  Copyright (c) 2003 joar.com. All rights reserved.
//

#import <Foundation/Foundation.h>

@interface NSMutableArray (Additions)

// The "obj" parameter needs to respond to the selector provided or
// a NSInternalInconsistencyException will be raised.
// The selector provided needs to be of the form:
// "- (NSComparisonResult) compare:(id) object;"
- (void) insertObject:(id) obj sortedBySelector:(SEL) selector;

// Convenience method to insert using the "compare:" selector.
- (void) insertSorted:(id) obj;

@end
